Bug 127279 - (IT_47021) kernel panic in try_to_identify() -> prob_irq_off()
kernel panic in try_to_identify() -> prob_irq_off()
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-05 16:54 EDT by john stultz
Modified: 2013-03-06 00:57 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-28 13:33:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description john stultz 2004-07-05 16:54:53 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, 
like Gecko) 
 
Description of problem: 
In testing for bug #127105, we set inittab to boot runlevel 6 
(reboot) in order to stress test the boot code on an x445 and trigger 
the problem. However, I keep on running into what I believe to be a 
different problem w/ the IDE layer.  
 
This issue still appears after the workaround for bug #127105 is 
applied to a custom kernel and does not appear when the IDE subsystem 
is configured out of the kernel. 
 
Its not every time I see this, but usually within an hour or so I'll  
get the following panic: 
 
EIP:    0010:[<c0109371>]    Not tainted                                         
EFLAGS: 00010217                                                                 
EIP is at probe_irq_off [kernel] 0x21                                            
eax: 00000005   ebx: c0358800   ecx: 00000190   edx: 1d078075                    
esi: 00000000   edi: 00000000   ebp: 00000000   esp: f7f65ecc                    
ds: 0018   es: 0018   ss: 0018                                                   
Process swapper (pid: 1, stackpage=f7f65000)                                     
Stack: c0358804 c041bc60 fffffef8 00000001 00000002 c01b9a50 fffffef8 
ecffffef   
       c041bc20 c041bc60 000000ec c041bc20 c01b9b73 c041bc60 000000ec 
ec1b9e86   
       c041bc60 c041bd58 c041bc20 00000000 c01ba0e8 c041bc60 000000ec 
c041bd58   
Call Trace: [<c01b9a50>] try_to_identify [kernel] 0x90 (0xf7f65ee0)              
[<c01b9b73>] do_probe [kernel] 0xe3 (0xf7f65efc)                                 
[<c01ba0e8>] probe_hwif [kernel] 0xe8 (0xf7f65f1c)                               
[<c01bac6d>] ideprobe_init [kernel] 0x5d (0xf7f65f50)                            
[<c02569c0>] call_spurious_interrupt [kernel] 0xf23f (0xf7f65fb0)                
[<c0105000>] stext [kernel] 0x0 (0xf7f65fcc)                                     
[<c0105278>] init [kernel] 0x28 (0xf7f65fdc)                                     
[<c0105000>] stext [kernel] 0x0 (0xf7f65fe8)                                     
[<c0105856>] arch_kernel_thread [kernel] 0x26 (0xf7f65ff0)                       
[<c0105250>] init [kernel] 0x0 (0xf7f65ff8)                                      
                                                                                 
                                                                                 
Code: 00 30 43 fc 7f 88 44 fe 12 00 8b 03 a9 10 00 00 00 74 1c a9                
                                                                        
 
Version-Release number of selected component (if applicable): 
kernel-2.4.9-e.40-summit 
 
How reproducible: 
Sometimes 
 
Steps to Reproduce: 
1. Set inittab to default to runlevel 6 
2. Reboot the system 
3. Watch as the system reboots itself over and over. 
     
 
Actual Results:  Within an our or so, the panic above usually appears 
 
Expected Results:  No problems, the system continues rebooting over 
and over. 
 
Additional info:
Comment 2 Bob Johnson 2004-08-11 15:49:43 EDT
No Bob, that would be U6.....
Comment 3 Bob Johnson 2004-08-11 15:50:46 EDT
Wendy, please open an IT for this one, thanks.
Comment 5 Wendy Hung 2004-08-18 23:24:52 EDT
Bob, Chris has opened Issue #47021.
Comment 8 john stultz 2004-10-22 17:54:40 EDT
Reproduced a very similar panic doing the same reboot stress test w/ 
RHEL3 U4 beta1 
 
EIP:    0010:[<c041dc20>]    Not tainted                                         
EFLAGS: 00010246                                                                 
EIP is at ide_hwifs [kernel] 0x0                                                 
eax: 00000000   ebx: c035b880   ecx: 00000000   edx: 00000001                    
esi: c041dc60   edi: 00000000   ebp: 00000000   esp: c3275ee4                    
ds: 0018   es: 0018   ss: 0018                                                   
Process swapper (pid: 1, stackpage=c3275000)                                     
Stack: c01bab14 ecffffef c041dc20 c041dc60 000000ec c041dc20 c01bac93 
c041dc60   
       000000ec ec1bafa6 c041dc60 c041dd58 c041dc20 00000000 c01bb208 
c041dc60   
       000000ec c041dd58 00000246 000000dc c041df64 00000000 00000000 
00000000   
Call Trace: [<c01bab14>] try_to_identify [kernel] 0x34 (0xc3275ee4)              
[<c01bac93>] do_probe [kernel] 0xe3 (0xc3275efc)                                 
[<c01bb208>] probe_hwif [kernel] 0xe8 (0xc3275f1c)                               
[<c01bbd8d>] ideprobe_init [kernel] 0x5d (0xc3275f50)                            
[<c0257bc0>] call_spurious_interrupt [kernel] 0xf33f (0xc3275fb0)                
[<c0105000>] stext [kernel] 0x0 (0xc3275fcc)                                     
[<c0105278>] init [kernel] 0x28 (0xc3275fdc)                                     
[<c0105000>] stext [kernel] 0x0 (0xc3275fe8)                                     
[<c0105856>] arch_kernel_thread [kernel] 0x26 (0xc3275ff0)                       
[<c0105250>] init [kernel] 0x0 (0xc3275ff8)                                      
                                                                                 
                                                                                 
Code: 00 00 00 00 00 00 00 00 f0 01 f1 01 f2 01 f3 01 f4 01 f5 01                
 <0>Kernel panic: not continuing                                     
Comment 9 john stultz 2004-10-22 17:57:44 EDT
Ack, sorry! I didn't mean RHEL3 U4 beta1, I meant RHAS 2.1 U6 beta1. 
Comment 10 Wendy Hung 2004-10-25 14:45:22 EDT
John, 
was this reproduced using BIOS 45A (ver 1.17)?
Comment 11 john stultz 2004-10-26 17:54:24 EDT
I'm working to reproduce the issue w/ the updated BIOS (v1.17).  
Comment 12 john stultz 2004-10-28 13:33:41 EDT
It appears the new BIOS (v1.17) has resolved this issue. 

Note You need to log in before you can comment on or make changes to this bug.